import { BuiltInVariables } from "../buildInVariables";
import { VInputType, VPlotDisplay } from "../enum";
import { TccErrorListener } from "./errorListener";
type TSimpleType = string | number | boolean;
interface IInputArgs {
    id: string;
    defval: TSimpleType;
    title?: string;
    tooltip?: string;
    inline?: string;
    group?: string;
    display?: VPlotDisplay[];
    sourceTypeName?: string;
    isModify?: boolean;
    options?: TSimpleType[];
    confirm?: boolean;
    minval?: number;
    maxval?: number;
    step?: number;
    inputType?: VInputType;
    index?: number;
    modifyDefval?: TSimpleType;
}
interface ICacheData {
    [key: string]: IInputArgs;
}
declare class Input {
    private _cacheData;
    private _variables;
    private _errorListener;
    private _historyInputs;
    private _name;
    private _newCacheData;
    constructor(variables: BuiltInVariables, errorListener: TccErrorListener, id: string);
    get _inputCacheData(): ICacheData;
    set _inputCacheData(data: ICacheData);
    update(vals?: IInputArgs[]): void;
    input(args: IInputArgs, posStr: string): TSimpleType;
    int(args: IInputArgs, posStr: string): TSimpleType;
    bool(args: IInputArgs, posStr: string): TSimpleType;
    color(args: IInputArgs, posStr: string): TSimpleType;
    time(args: IInputArgs, posStr: string): TSimpleType;
    float(args: IInputArgs, posStr: string): TSimpleType;
    price(args: IInputArgs, posStr: string): TSimpleType;
    source(args: IInputArgs, posStr: string): TSimpleType;
    string(args: IInputArgs, posStr: string): TSimpleType;
    symbol(args: IInputArgs, posStr: string): TSimpleType;
    session(args: IInputArgs, posStr: string): TSimpleType;
    text_area(args: IInputArgs, posStr: string): TSimpleType;
    timeframe(args: IInputArgs, posStr: string): TSimpleType;
    enum(args: IInputArgs, posStr: string): TSimpleType;
    private _cacheHandle;
    private _displayVerify;
    private _verifyMaxOrMin;
    getInputs(): IInputArgs[];
}
export default Input;
